// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		E10F54A821236CBE0069881E /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54A721236CBE0069881E /* main.swift */; };
		E10F54AF21236CCC0069881E /* LinkedList.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54AE21236CCC0069881E /* LinkedList.swift */; };
		E10F54B121236CE70069881E /* HashTable.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54B021236CE70069881E /* HashTable.swift */; };
		E10F54B521236CF80069881E /* Graph.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54B421236CF80069881E /* Graph.swift */; };
		E10F54B721236D020069881E /* Stack.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54B621236D020069881E /* Stack.swift */; };
		E10F54B921236D080069881E /* Queue.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54B821236D080069881E /* Queue.swift */; };
		E10F54BC21236D6A0069881E /* BFS.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54BB21236D6A0069881E /* BFS.swift */; };
		E10F54BE21236D700069881E /* DFS.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54BD21236D700069881E /* DFS.swift */; };
		E10F54C021236D7C0069881E /* BinarySearch.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54BF21236D7C0069881E /* BinarySearch.swift */; };
		E10F54C221236D840069881E /* MergeSort.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54C121236D840069881E /* MergeSort.swift */; };
		E10F54C421236D8C0069881E /* QuickSort.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54C321236D8C0069881E /* QuickSort.swift */; };
		E10F54C8212381030069881E /* ArraysAndStrings.swift in Sources */ = {isa = PBXBuildFile; fileRef = E10F54C7212381030069881E /* ArraysAndStrings.swift */; };
		E120F24B212761930044E227 /* Extra.swift in Sources */ = {isa = PBXBuildFile; fileRef = E120F24A212761930044E227 /* Extra.swift */; };
		E12729F12125B871006C8367 /* BitManipulation.swift in Sources */ = {isa = PBXBuildFile; fileRef = E12729F02125B871006C8367 /* BitManipulation.swift */; };
		E12729F521261AA3006C8367 /* RecursionAndDynamic.swift in Sources */ = {isa = PBXBuildFile; fileRef = E12729F421261AA3006C8367 /* RecursionAndDynamic.swift */; };
		E1762E48214186C2004EB2CE /* Hard.swift in Sources */ = {isa = PBXBuildFile; fileRef = E1762E47214186C2004EB2CE /* Hard.swift */; };
		E1762E4B2141D35B004EB2CE /* Words.swift in Sources */ = {isa = PBXBuildFile; fileRef = E1762E4A2141D35B004EB2CE /* Words.swift */; };
		E187A8E5214963CA00346059 /* BinarySearchTree.swift in Sources */ = {isa = PBXBuildFile; fileRef = E187A8E4214963CA00346059 /* BinarySearchTree.swift */; };
		E18CDD38213EB7A100C23883 /* Design.swift in Sources */ = {isa = PBXBuildFile; fileRef = E18CDD37213EB7A100C23883 /* Design.swift */; };
		E18CDD3A213EC3F300C23883 /* Moderate.swift in Sources */ = {isa = PBXBuildFile; fileRef = E18CDD39213EC3F300C23883 /* Moderate.swift */; };
		E1C280392135CB2800729D63 /* Dijkstra.swift in Sources */ = {isa = PBXBuildFile; fileRef = E1C280382135CB2800729D63 /* Dijkstra.swift */; };
		E1C32A66214EB0AD00429645 /* Trie.swift in Sources */ = {isa = PBXBuildFile; fileRef = E1C32A65214EB0AD00429645 /* Trie.swift */; };
		E1ED8877212466ED00C30848 /* StacksAndQueues.swift in Sources */ = {isa = PBXBuildFile; fileRef = E1ED8876212466ED00C30848 /* StacksAndQueues.swift */; };
		E1ED8879212494B800C30848 /* GraphsAndTrees.swift in Sources */ = {isa = PBXBuildFile; fileRef = E1ED8878212494B800C30848 /* GraphsAndTrees.swift */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		E10F54A221236CBE0069881E /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = /usr/share/man/man1/;
			dstSubfolderSpec = 0;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		E10F54A421236CBE0069881E /* cracking */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = cracking; sourceTree = BUILT_PRODUCTS_DIR; };
		E10F54A721236CBE0069881E /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		E10F54AE21236CCC0069881E /* LinkedList.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LinkedList.swift; sourceTree = "<group>"; };
		E10F54B021236CE70069881E /* HashTable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HashTable.swift; sourceTree = "<group>"; };
		E10F54B421236CF80069881E /* Graph.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Graph.swift; sourceTree = "<group>"; };
		E10F54B621236D020069881E /* Stack.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Stack.swift; sourceTree = "<group>"; };
		E10F54B821236D080069881E /* Queue.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Queue.swift; sourceTree = "<group>"; };
		E10F54BB21236D6A0069881E /* BFS.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BFS.swift; sourceTree = "<group>"; };
		E10F54BD21236D700069881E /* DFS.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DFS.swift; sourceTree = "<group>"; };
		E10F54BF21236D7C0069881E /* BinarySearch.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BinarySearch.swift; sourceTree = "<group>"; };
		E10F54C121236D840069881E /* MergeSort.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MergeSort.swift; sourceTree = "<group>"; };
		E10F54C321236D8C0069881E /* QuickSort.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuickSort.swift; sourceTree = "<group>"; };
		E10F54C7212381030069881E /* ArraysAndStrings.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ArraysAndStrings.swift; sourceTree = "<group>"; };
		E112FFBB2146CA920001AAD0 /* dictionary.txt */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = dictionary.txt; sourceTree = "<group>"; };
		E120F24A212761930044E227 /* Extra.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Extra.swift; sourceTree = "<group>"; };
		E12729F02125B871006C8367 /* BitManipulation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BitManipulation.swift; sourceTree = "<group>"; };
		E12729F421261AA3006C8367 /* RecursionAndDynamic.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RecursionAndDynamic.swift; sourceTree = "<group>"; };
		E1762E47214186C2004EB2CE /* Hard.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Hard.swift; sourceTree = "<group>"; };
		E1762E4A2141D35B004EB2CE /* Words.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Words.swift; sourceTree = "<group>"; };
		E187A8E4214963CA00346059 /* BinarySearchTree.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BinarySearchTree.swift; sourceTree = "<group>"; };
		E18CDD37213EB7A100C23883 /* Design.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Design.swift; sourceTree = "<group>"; };
		E18CDD39213EC3F300C23883 /* Moderate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Moderate.swift; sourceTree = "<group>"; };
		E1C280382135CB2800729D63 /* Dijkstra.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Dijkstra.swift; sourceTree = "<group>"; };
		E1C32A65214EB0AD00429645 /* Trie.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Trie.swift; sourceTree = "<group>"; };
		E1ED8876212466ED00C30848 /* StacksAndQueues.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StacksAndQueues.swift; sourceTree = "<group>"; };
		E1ED8878212494B800C30848 /* GraphsAndTrees.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GraphsAndTrees.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		E10F54A121236CBE0069881E /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		E10F549B21236CBE0069881E = {
			isa = PBXGroup;
			children = (
				E10F54A621236CBE0069881E /* cracking */,
				E10F54A521236CBE0069881E /* Products */,
			);
			sourceTree = "<group>";
		};
		E10F54A521236CBE0069881E /* Products */ = {
			isa = PBXGroup;
			children = (
				E10F54A421236CBE0069881E /* cracking */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		E10F54A621236CBE0069881E /* cracking */ = {
			isa = PBXGroup;
			children = (
				E10F54BA21236D5C0069881E /* Data Structures */,
				E10F54C521236D950069881E /* Algorithms */,
				E10F54C6212380E80069881E /* Problems */,
				E10F54A721236CBE0069881E /* main.swift */,
				E112FFBB2146CA920001AAD0 /* dictionary.txt */,
				E1762E4A2141D35B004EB2CE /* Words.swift */,
			);
			path = cracking;
			sourceTree = "<group>";
		};
		E10F54BA21236D5C0069881E /* Data Structures */ = {
			isa = PBXGroup;
			children = (
				E10F54AE21236CCC0069881E /* LinkedList.swift */,
				E10F54B021236CE70069881E /* HashTable.swift */,
				E187A8E4214963CA00346059 /* BinarySearchTree.swift */,
				E10F54B421236CF80069881E /* Graph.swift */,
				E10F54B621236D020069881E /* Stack.swift */,
				E10F54B821236D080069881E /* Queue.swift */,
				E1C32A65214EB0AD00429645 /* Trie.swift */,
			);
			path = "Data Structures";
			sourceTree = "<group>";
		};
		E10F54C521236D950069881E /* Algorithms */ = {
			isa = PBXGroup;
			children = (
				E10F54BB21236D6A0069881E /* BFS.swift */,
				E10F54BD21236D700069881E /* DFS.swift */,
				E10F54BF21236D7C0069881E /* BinarySearch.swift */,
				E10F54C121236D840069881E /* MergeSort.swift */,
				E10F54C321236D8C0069881E /* QuickSort.swift */,
				E1C280382135CB2800729D63 /* Dijkstra.swift */,
			);
			path = Algorithms;
			sourceTree = "<group>";
		};
		E10F54C6212380E80069881E /* Problems */ = {
			isa = PBXGroup;
			children = (
				E10F54C7212381030069881E /* ArraysAndStrings.swift */,
				E1ED8876212466ED00C30848 /* StacksAndQueues.swift */,
				E1ED8878212494B800C30848 /* GraphsAndTrees.swift */,
				E12729F02125B871006C8367 /* BitManipulation.swift */,
				E12729F421261AA3006C8367 /* RecursionAndDynamic.swift */,
				E18CDD37213EB7A100C23883 /* Design.swift */,
				E120F24A212761930044E227 /* Extra.swift */,
				E18CDD39213EC3F300C23883 /* Moderate.swift */,
				E1762E47214186C2004EB2CE /* Hard.swift */,
			);
			path = Problems;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		E10F54A321236CBE0069881E /* cracking */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = E10F54AB21236CBE0069881E /* Build configuration list for PBXNativeTarget "cracking" */;
			buildPhases = (
				E10F54A021236CBE0069881E /* Sources */,
				E10F54A121236CBE0069881E /* Frameworks */,
				E10F54A221236CBE0069881E /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = cracking;
			productName = cracking;
			productReference = E10F54A421236CBE0069881E /* cracking */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		E10F549C21236CBE0069881E /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0940;
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = "Nicholas Trampe";
				TargetAttributes = {
					E10F54A321236CBE0069881E = {
						CreatedOnToolsVersion = 9.4;
						LastSwiftMigration = 1000;
					};
				};
			};
			buildConfigurationList = E10F549F21236CBE0069881E /* Build configuration list for PBXProject "cracking" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = E10F549B21236CBE0069881E;
			productRefGroup = E10F54A521236CBE0069881E /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				E10F54A321236CBE0069881E /* cracking */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		E10F54A021236CBE0069881E /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				E12729F12125B871006C8367 /* BitManipulation.swift in Sources */,
				E10F54C221236D840069881E /* MergeSort.swift in Sources */,
				E10F54AF21236CCC0069881E /* LinkedList.swift in Sources */,
				E10F54B921236D080069881E /* Queue.swift in Sources */,
				E1C280392135CB2800729D63 /* Dijkstra.swift in Sources */,
				E10F54BE21236D700069881E /* DFS.swift in Sources */,
				E10F54C021236D7C0069881E /* BinarySearch.swift in Sources */,
				E10F54C8212381030069881E /* ArraysAndStrings.swift in Sources */,
				E187A8E5214963CA00346059 /* BinarySearchTree.swift in Sources */,
				E1C32A66214EB0AD00429645 /* Trie.swift in Sources */,
				E18CDD38213EB7A100C23883 /* Design.swift in Sources */,
				E10F54B121236CE70069881E /* HashTable.swift in Sources */,
				E1ED8879212494B800C30848 /* GraphsAndTrees.swift in Sources */,
				E1ED8877212466ED00C30848 /* StacksAndQueues.swift in Sources */,
				E18CDD3A213EC3F300C23883 /* Moderate.swift in Sources */,
				E1762E48214186C2004EB2CE /* Hard.swift in Sources */,
				E10F54C421236D8C0069881E /* QuickSort.swift in Sources */,
				E10F54A821236CBE0069881E /* main.swift in Sources */,
				E10F54B721236D020069881E /* Stack.swift in Sources */,
				E120F24B212761930044E227 /* Extra.swift in Sources */,
				E12729F521261AA3006C8367 /* RecursionAndDynamic.swift in Sources */,
				E1762E4B2141D35B004EB2CE /* Words.swift in Sources */,
				E10F54B521236CF80069881E /* Graph.swift in Sources */,
				E10F54BC21236D6A0069881E /* BFS.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		E10F54A921236CBE0069881E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "Mac Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.13;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		E10F54AA21236CBE0069881E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "Mac Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.13;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = macosx;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
			};
			name = Release;
		};
		E10F54AC21236CBE0069881E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8B6MQWTKZ7;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
			};
			name = Debug;
		};
		E10F54AD21236CBE0069881E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8B6MQWTKZ7;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		E10F549F21236CBE0069881E /* Build configuration list for PBXProject "cracking" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				E10F54A921236CBE0069881E /* Debug */,
				E10F54AA21236CBE0069881E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		E10F54AB21236CBE0069881E /* Build configuration list for PBXNativeTarget "cracking" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				E10F54AC21236CBE0069881E /* Debug */,
				E10F54AD21236CBE0069881E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = E10F549C21236CBE0069881E /* Project object */;
}
